> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ctrl-hub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a permit version

> Retrieve a single street manager permit version by its ID.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v3/street-manager/permits/{permit_id}/versions/{version_id}
openapi: 3.1.0
info:
  contact:
    email: support@ctrl-hub.com
    name: Ctrl Hub
    url: https://www.ctrl-hub.com
  description: >
    Ctrl Hub is the all-in-one platform for high-risk industries like utilities,
    construction, infrastructure, and renewables. We help teams manage
    everything from risk assessments and HAVS exposure to vehicle and equipment
    checks, with a guaranteed minimum of 200% ROI.
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  summary: An API for managing your compliance and risk posture
  termsOfService: https://www.ctrl-hub.com/terms-conditions
  title: Ctrl Hub
  version: 1.0.0
servers:
  - description: Production
    url: https://api.ctrl-hub.com
  - description: Staging
    url: https://api.ctrl-hub.dev
  - description: Development
    url: https://api.ctrl-hub.run
security: []
tags:
  - description: |
      Audit events are the events that are logged by the system.
    name: Audit Events
  - description: |
      View the platform's health and availability.
    name: Status
  - description: >
      User-owned dashboards composed of cards on a fixed-slot bento layout.
      Cards come from a per-domain registry; the API stores their config as
      opaque JSON.
    name: Dashboards
  - description: |
      Manage appointments for work to be carried out with your customers
    name: Customer Appointments
  - description: |
      Manage interactions you have with your customers
    name: Customer Interactions
  - description: |
      Manage accounts for your customers
    name: Customer Accounts and Contacts
  - description: |
      Qualifications are the skills and knowledge that an organisation requires.
    name: Qualifications
  - description: |
      Workflows allow you to automate your processes.
    name: Workflows
  - description: |
      Manage documents
    name: Documents
  - description: |
      Manage documents
    name: Folders
  - description: |
      Manage documents
    name: Document Reviews
  - description: |
      Manage feature configurations for an organisation.
    name: Feature Configurations
  - description: |
      Equipment are the physical assets that an organisation manages.
    name: Equipment
  - description: |
      Manage your forms and their schemas
    name: Forms, Schemas and Categories
  - description: |
      Create and view form submissions
    name: Submissions
  - description: |
      View the roles available in the system.
    name: IAM Roles
  - description: >
      IAM role groups can be assigned to principals to manage authorisation
      centrally.
    name: IAM Role Groups
  - description: |
      Manage service accounts which can access the API programmatically.
    name: Service Accounts
  - description: |
      Manage bridges between organisations.
    name: Bridges
  - description: |
      Manage settings for an organisation.
    name: Settings
  - description: |
      Manage teams within an organisation.
    name: Teams
  - description: |
      Manage job roles within an organisation.
    name: Job Roles
  - description: |
      Manage users and accounts.
    name: Users
  - description: |
      Invite and manage invitations to organisations.
    name: Invitations
  - description: >
      IAM grants are the asignment of roles or permissions to principals to
      manage resource access.
    name: IAM Grants
  - description: |
      View the permissions available in the system.
    name: IAM Permissions
  - description: |
      SSO providers are the identity providers for an organisation.
    name: SSO Providers
  - description: |
      Whoami returns information about the currently authenticated principal.
    name: Whoami
  - description: |
      Manage your images
    name: Images
  - description: >
      Organisations are the center point for most resources in the platform.
      Most other endpoints are subresources of an organisation.
    name: Organisations
  - description: |
      Permits managements, integrated with street manager.
    name: Permits
  - description: |
      Projects manage your work and governance.
    name: Projects
  - description: >
      Import templates allow users to save and reuse their CSV importer
      configuration as named templates.
    name: Import Templates
  - description: |
      Properties are the physical locations.
    name: Properties
  - description: |
      Search across schemes, work orders, and operations.
    name: Search
  - description: |
      Provides the API specification in JSON and YAML formats
    name: Specifications
  - description: |
      Streets are the physical roads.
    name: Streets
  - description: |
      Integration with street manager
    name: Street Manager
  - description: |
      Vehicles are the physical vehicles that an organisation manages.
    name: Vehicles
  - description: >
      Scheme contracts (also known as regions) group schemes allocated from the
      network to a contractor.
    name: Scheme Contracts
  - description: >
      Scheme shares allow you to share your schemes with other organisations
      across bridges.
    name: Scheme Shares
  - description: |
      Schemes are large programmes of work
    name: Schemes
  - description: |
      Work orders the component parts of a scheme.
    name: Work Orders
  - description: |
      Operations are the work to be carried out within work orders.
    name: Operations
externalDocs:
  description: More documentation and resources
  url: https://docs.ctrl-hub.com
paths:
  /v3/street-manager/permits/{permit_id}/versions/{version_id}:
    get:
      tags:
        - Street Manager
      description: Retrieve a single street manager permit version by its ID.
      operationId: GetStreetManagerPermitVersion
      parameters:
        - $ref: '#/components/parameters/street_manager_permit_id'
        - $ref: '#/components/parameters/street_manager_permit_version_id'
      responses:
        '200':
          $ref: '#/components/responses/GetStreetManagerPermitVersion'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorised'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - Session: []
        - OAuth2: []
        - Cookie: []
components:
  parameters:
    street_manager_permit_id:
      name: permit_id
      in: path
      required: true
      description: The unique identifier for the street manager permit.
      schema:
        type: string
        format: uuid
      example: 550e8400-e29b-41d4-a716-446655440001
    street_manager_permit_version_id:
      name: version_id
      in: path
      required: true
      description: The unique identifier for the street manager permit version.
      schema:
        type: string
        format: uuid
      example: 660e8400-e29b-41d4-a716-446655440002
  responses:
    GetStreetManagerPermitVersion:
      description: Get a single permit version by ID.
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            allOf:
              - type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/StreetManagerPermitVersion'
              - $ref: '#/components/schemas/JSONAPI'
    BadRequest:
      description: >
        There was an error with the request - this could be due to an invalid
        body, query parameters,

        or headers that were sent to the API.
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 98ca4a78-b66f-4234-9719-aaf832ee6669
            status: '400'
            title: A validation error was encountered
            source:
              parameter: include
            meta:
              resource: wrong_value
    Unauthorised:
      description: Authentication failed
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 05fc9c8d-73b9-4697-9337-57f7a567a48f
            status: '401'
            title: You are not authorised to access this resource
            detail: In order to access this resource, you need the 'admin' role.
            code: AUTH.001
    InternalServerError:
      description: There was a problem handling the request on the server side
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: fe9d9a69-f0a7-4fdc-bb2c-176027f316c5
            status: '500'
            title: Internal Server Error
            detail: An unexpected error occurred on the server.
  headers:
    content-type:
      description: The content type of the response
      schema:
        type: string
      example: application/vnd.api+json
    content-length:
      description: The length of the response body in bytes
      schema:
        type: integer
        format: int32
      example: 1234
    x-request-id:
      description: >-
        An ID that can be provided when reporting bugs to help identify the
        issue
      schema:
        type: string
      example: 8470f56af4cf25e22be08e72c70dbbdc
  schemas:
    StreetManagerPermitVersion:
      type: object
      description: A street manager permit version
      required:
        - id
        - type
        - attributes
        - meta
        - relationships
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the street manager permit version.
        type:
          type: string
          const: street-manager-permit-versions
        attributes:
          $ref: '#/components/schemas/StreetManagerPermitVersionAttributes'
        meta:
          $ref: '#/components/schemas/StreetManagerPermitVersionMeta'
        relationships:
          $ref: '#/components/schemas/StreetManagerPermitVersionRelationships'
    JSONAPI:
      type: object
      description: JSON API response object
      required:
        - jsonapi
      properties:
        jsonapi:
          type: object
          required:
            - version
          properties:
            version:
              type: string
              description: The version of the JSON API specification
              examples:
                - '1.0'
    Error:
      type: object
      description: An error response
      properties:
        id:
          description: >-
            A unique identifier for this particular occurrence of the problem.
            If you encounter this, please provide us with the error ID and we
            can investigate it on our side.
          type: string
          format: uuid
          examples:
            - 05fc9c8d-73b9-4697-9337-57f7a567a48f
        status:
          description: >-
            The status code for the error. This might not match the HTTP status
            code if there are more that one errors to return with different
            status codes.
          type: string
          examples:
            - '401'
            - '500'
        title:
          description: A human readable title for the error.
          type: string
          examples:
            - You are not authorised to access this resource
        detail:
          description: >-
            Where there is more detail that we can provide outside of the title,
            we will provide it here.
          type: string
          examples:
            - In order to access this resource, you need the 'admin' role.
        code:
          description: >-
            A unique code for the error that may help us to diagnose the issue.
            Not all errors have codes, so this is usually empty.
          type: string
          examples:
            - AUTH.001
        source:
          description: A JSON object containing additional information about the error.
          type: object
          properties:
            pointer:
              description: >-
                A JSON Pointer to the value in the request that caused the
                error.
              type: string
              examples:
                - /data/attributes/email
            parameter:
              description: >-
                A string indicating which query parameter in the request caused
                the error.
              type: string
              examples:
                - include
      required:
        - id
        - status
        - title
    StreetManagerPermitVersionAttributes:
      type: object
      description: Attributes for a street manager permit version
      required:
        - permit_id
        - work_reference_number
        - permit_reference_number
        - promoter_swa_code
        - promoter_organisation
        - highway_authority
        - works_location_coordinates
        - street_name
        - area_name
        - work_category
        - traffic_management_type
        - proposed_start_date
        - proposed_end_date
        - proposed_start_time
        - proposed_end_time
        - actual_start_date_time
        - actual_end_date_time
        - work_status
        - usrn
        - highway_authority_swa_code
        - work_category_ref
        - traffic_management_type_ref
        - work_status_ref
        - activity_type
        - is_ttro_required
        - is_covid_19_response
        - works_location_type
        - permit_conditions
        - road_category
        - is_traffic_sensitive
        - is_deemed
        - permit_status
        - town
        - collaborative_working
        - collaboration_type
        - collaboration_type_ref
        - close_footway
        - close_footway_ref
        - current_traffic_management_type
        - current_traffic_management_type_ref
        - current_traffic_management_update_date
      properties:
        permit_id:
          type: string
          format: uuid
          description: The ID of the parent permit
        work_reference_number:
          type: string
          description: The reference number for the work
        permit_reference_number:
          type: string
          description: The unique reference number for this permit
        promoter_swa_code:
          type: string
          description: The SWA code of the promoter organization
        promoter_organisation:
          type: string
          description: The name of the promoter organization
        highway_authority:
          type: string
          description: The highway authority responsible for this permit
        works_location_coordinates:
          type: object
          description: The geographic coordinates of the work location
        street_name:
          type: string
          description: The name of the street where work will be performed
        area_name:
          type: string
          description: The name of the area where work will be performed
        work_category:
          type: string
          description: The category of work
          enum:
            - minor
            - standard
            - major
            - immediate_urgent
            - immediate_emergency
            - paa
            - hs2_highway
        traffic_management_type:
          type: string
          description: The type of traffic management required
          enum:
            - road_closure
            - contra_flow
            - lane_closure
            - multi_way_signals
            - two_way_signals
            - convoy_workings
            - stop_go_boards
            - temp_obstruction_15_minute_delay
            - priority_working
            - give_and_take
            - some_carriageway_incursion
            - no_carriageway_incursion
        proposed_start_date:
          type: string
          format: date-time
          description: The proposed start date for the work
        proposed_end_date:
          type: string
          format: date-time
          description: The proposed end date for the work
        proposed_start_time:
          type: string
          format: date-time
          description: The proposed start time for the work
        proposed_end_time:
          type: string
          format: date-time
          description: The proposed end time for the work
        actual_start_date_time:
          type: string
          format: date-time
          description: The actual start date and time of the work
        actual_end_date_time:
          type: string
          format: date-time
          description: The actual end date and time of the work
        work_status:
          type: string
          description: The current status of the work
          enum:
            - planned
            - in_progress
            - completed
            - cancelled
            - unattributable
            - historical
            - non_notifiable
            - section_81
        usrn:
          type: number
          description: Unique Street Reference Number
        highway_authority_swa_code:
          type: string
          description: The SWA code of the highway authority
        work_category_ref:
          type: string
          description: The reference code for the work category
        traffic_management_type_ref:
          type: string
          description: The reference code for the traffic management type
        work_status_ref:
          type: string
          description: The reference code for the work status
        activity_type:
          type: string
          description: The type of activity being performed
          enum:
            - Highway improvement works
            - Highway repair and maintenance works
            - Utility asset works
            - Utility repair and maintenance works
            - Diversionary works
            - Disconnection or alteration of supply
            - Permanent reinstatement
            - Remedial works
            - Section 58
            - Section 50
            - Core Sampling
            - Statutory Infrastructure Works
            - Works for Rail Purposes
            - Works for Road purposes
            - New service connection
            - Optional permit (no fee) e.g. for traffic management etc
        is_ttro_required:
          type: string
          description: Whether a TTRO (Temporary Traffic Regulation Order) is required
          enum:
            - 'yes'
            - 'no'
            - not_provided
        is_covid_19_response:
          type: boolean
          description: Whether this work is in response to COVID-19
        works_location_type:
          type: array
          description: The types of locations where work will be performed
          items:
            type: string
            enum:
              - Carriageway
              - Footway
              - Verge
              - Cycleway
              - Footpath
        permit_conditions:
          type: array
          description: Conditions attached to this permit
          items:
            type: string
        road_category:
          type: number
          description: The category of the road
          minimum: 0
          maximum: 10
        is_traffic_sensitive:
          type: boolean
          description: Whether the location is traffic sensitive
        is_deemed:
          type: boolean
          description: Whether this is a deemed permit
        permit_status:
          type: string
          description: The status of the permit
          enum:
            - submitted
            - granted
            - permit_modification_request
            - refused
            - closed
            - cancelled
            - revoked
            - progressed
        town:
          type: string
          description: The town where the work is located
        collaborative_working:
          type: boolean
          description: Whether this involves collaborative working
        collaboration_type:
          type: string
          description: The type of collaboration if applicable
          enum:
            - trench_sharing_primary_promoter
            - trench_sharing_secondary_promoter
            - sharing_traffic_management_only
            - other
        collaboration_type_ref:
          type: string
          description: The reference code for the collaboration type
        close_footway:
          type: string
          description: Whether the footway will be closed
          enum:
            - yes_provide_pedestrian_walkway
            - yes_provide_alternative_route
            - 'no'
        close_footway_ref:
          type: string
          description: The reference code for close footway status
        current_traffic_management_type:
          type: string
          description: The current traffic management type being used
          enum:
            - road_closure
            - contra_flow
            - lane_closure
            - multi_way_signals
            - two_way_signals
            - convoy_workings
            - stop_go_boards
            - temp_obstruction_15_minute_delay
            - priority_working
            - give_and_take
            - some_carriageway_incursion
            - no_carriageway_incursion
        current_traffic_management_type_ref:
          type: string
          description: The reference code for the current traffic management type
        current_traffic_management_update_date:
          type: string
          format: date-time
          description: The date when the current traffic management was last updated
    StreetManagerPermitVersionMeta:
      type: object
      description: Metadata for a street manager permit version
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          format: date-time
          description: The date and time when the street manager permit version was created
        updated_at:
          type: string
          format: date-time
          description: >-
            The date and time when the street manager permit version was last
            updated
    StreetManagerPermitVersionRelationships:
      type: object
      description: Relationships for a street manager permit version
      properties:
        permit:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/StreetManagerPermitRelationship'
    StreetManagerPermitRelationship:
      type: object
      description: Represents a relationship to a street manager permit
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the street manager permit
        type:
          type: string
          const: street-manager-permits
  securitySchemes:
    Session:
      description: |
        Session token for authentication.
      in: header
      name: X-Session-Token
      type: apiKey
    OAuth2:
      description: |
        OAuth2 token for authentication.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: https://auth.ctrl-hub.com/oauth2/token
      type: oauth2
    Cookie:
      description: |
        Cookie token for authentication.
      in: cookie
      name: ctrl_hub_session
      type: apiKey

````